Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1795884 - Review Request: kawa - Scheme programming language
Summary: Review Request: kawa - Scheme programming language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1735913
TreeView+ depends on / blocked
 
Reported: 2020-01-29 06:08 UTC by Mosaab Alzoubi
Modified: 2020-02-16 01:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-16 01:29:56 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Mosaab Alzoubi 2020-01-29 06:08:37 UTC
Spec URL: https://src.fedoraproject.org/rpms/kawa/raw/f30/f/kawa.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1413/41151413/kawa-3.1.1-1.fc30.src.rpm
Description: Scheme programming language
Fedora Account System Username: moceap

Comment 1 Mosaab Alzoubi 2020-01-29 06:12:13 UTC
This review just unretirement review. Kawa already in F30. Dropped for FTBFS in F31.

https://bodhi.fedoraproject.org/updates/FEDORA-2020-83db0ad6a3

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-01-29 07:53:40 UTC
> - Drop epoch

That is wrong. It'll break upgrades from F30.

> - Use JBoss servlet instead of Toncat serverlet

Tomcat?

http:// → https://.

Comment 4 Mosaab Alzoubi 2020-01-29 17:38:13 UTC
Updating in F30: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3ac0375023

Comment 5 Zbigniew Jędrzejewski-Szmek 2020-01-30 09:07:27 UTC
+ package name is still OK
+ license is still OK (BSD)
+ latest version
+ rpmlint finds no issues
  (except for an outdated comment about info scriptlets and other bogus complaints)
+ builds and installs OK
+ program seems to run and do stuff ;)

Package is RE-APPROVED.

Comment 6 Mosaab Alzoubi 2020-01-30 15:27:38 UTC
ThankYou ;)

Comment 7 Fedora Update System 2020-02-08 02:10:20 UTC
kawa-3.1.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5775dc4806

Comment 8 Fedora Update System 2020-02-16 01:29:56 UTC
kawa-3.1.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.